%define	name	task-lxqt
%define	version	1.4.0
%define	release	%mkrel 1

Name:		task-lxqt
Summary:	LXQT Lightweight Desktop Environment
Version:	%{version}
Release:	%{release}
Group:		Tasks
URL:		http://lxqt.org/
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires: desktop-common-data
Requires: libkscreen
Requires: %{_lib}lxqt-globalkeys1
Requires: %{_lib}lxqt1
Requires: lxqt-about
Requires: lxqt-archiver
Requires: lxqt-config
Requires: lxqt-globalkeys
Requires: lxqt-notificationd
Requires: lxqt-openssh-askpass
Requires: lxqt-panel
Requires: lxqt-policykit 
Requires: lxqt-powermanagement
Requires: lxqt-qtplugin 
Requires: lxqt-runner
Requires: lxqt-session
Requires: lxqt-sudo
Requires: lxqt-themes
Requires: lxqt-menu-data
Requires: pcmanfm-qt
Requires: oxygen-icons5
Requires: openbox


# Third Party
Requires: lximage-qt
Requires: qmplay2
Requires: qps
Requires: qterminal
Requires: featherpad
Requires: timeshift
Requires: screengrab

%description
LXQt is the Qt port and the upcoming version of LXDE,
the Lightweight Desktop Environment. It is the product
of the merge between the LXDE-Qt and the Razor-qt projects:
A lightweight, modular, blazing-fast and user-friendly desktop
environment. 

%files
%defattr(-,root,root)

%changelog
* Tue Nov 14 2023 daniel - 1.4.0-1pclos2023
- add lxqt-menu-data

* Mon Apr 24 2023 daniel - 1.3.0-1pclos2023
- 1.3.0
- add screengrab

* Fri Nov 05 2021 daniel - 1.0.0-1pclos2021
- 1.0.0
- add timeshift

* Tue Nov 10 2020 daniel <meisssw01 at gmail.com> 0.16.0-1pclos2020
- 0.16.0
- add featherpad 

* Mon May 04 2020 daniel <meisssw01 at gmail.com> 0.15.0-3pclos2020
- removed settings.conf replaced in pcmanfm-qt packages

* Tue Apr 28 2020 daniel <meisssw01 at gmail.com> 0.15.0-2pclos2020
- add lxqt-sudo instead of gksu
- add settings.conf for pcmanfm-qt

* Sun Apr 26 2020 daniel <meisssw01 at gmail.com> 0.15.0-1pclos2020
- pump to version 0.15.0
- add lxqt-archiver

* Mon Jan 28 2019 daniel <meisssw01 at gmail.com> 0.14.0-1pclos2019
- pump to version 0.14.0
- add lximage-qt, and qmplay2

* Sat Oct 28 2017 daniel <meisssw01 at gmail.com> 0.12.0-2pclos2017
- add qterminal, and qps

* Tue Oct 23 2017 daniel <meisssw01 at gmail.com> 0.12.0-1pclos2017
- update
- changed icon theme to oxygen as default

* Thu Nov 17 2016 daniel <meisssw01 at gmail.com> 0.11.0-1pclos2016
- pump version to 0.11.0
- moved liblxqt 

* Sun May 29 2016 bb <bb> 0.10.0-4pclos2016
- change rpm group to Tasks

* Sun Feb 28 2016 daniel <meisssw01 at gmail.com> 0.10.0-3
- rebuild for 32 bit
- add missing libfm-gtk4
- replaced lxqt-mount to solid

* Wed Nov 11 2015 bb <bb> 0.10.0-2pclos2015
- add libkscreen for monitor preferences to work

* Tue Nov 10 2015 bb <bb> 0.10.0-1pclos2015
- create package
